Product: dmu17_MIPS_PSF_Bootes_20180129.fits

Version: 1.0

Author: Peter Hurley

Fields: Bootes

Selection filter:

Rights: N/A

Acknowledgements: N/A

Related products: wp4_bootes_mips24_map_v1.0.fits.gz
